## 0ad 0.27.1-2~oibaf~ntrisquel2

=== debian/changelog ===
0ad (0.27.1-2~oibaf~ntrisquel2) ecne-backports; urgency=medium

  * Backported to get latest version into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 15 Sep 2025 14:16:36 +0000

0ad (0.27.1-2~oibaf~n) noble; urgency=medium

  * No-change backport to noble.

 -- Fabio Pedretti <fmrummey@gmail.com>  Mon, 15 Sep 2025 09:59:39 +0200
