## 0ad 0.27.1-2~oibaf~n+11.0trisquel2

=== debian/changelog ===
0ad (0.27.1-2~oibaf~n+11.0trisquel2) aramo-backports; urgency=medium

  * Backported to get latest version into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 15 Sep 2025 14:10:09 +0000
