## 0ad 0.28.0

=== source/tools/entity/requirements.txt ===
lxml>=5.0.0
