=== debian/changelog ===
0ad (0.28.0-3~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 25 Feb 2026 19:32:22 -0800

0ad (0.28.0-3) unstable; urgency=medium

  * Skip flaky autopkgtest on i386.
  * Drop ppc64 as supported arch; package will FTBFS on all big-endian arches.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 24 Feb 2026 02:37:58 -0800

0ad (0.28.0-2) unstable; urgency=medium

  * Add autopkgtest.
  * Add ppc64 and ppc64el as supported architectures.
  * Update b-d on libboost-dev >= 1.71.0, drop b-d on libboost-filesystem-dev.
  * Drop obsolete override_dh_dwz target in d/rules.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 23 Feb 2026 03:27:40 -0800

0ad (0.28.0-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream release.
    - Fix mozjs FTBFS with python 3.14. (Closes: #1127002, #1128074)
    - Drop obsolete patch applied upstream: d/p/fix-nvtt-i386-ftbfs.patch
    - Add additional patches to disable flaky regression tests, sourced from
      upstream PPA (thanks to Nicolas Auvray).
    - Refresh remaining patches.
  * Add d/p/disable-spidermonkey-debug-build.patch to skip mozjs debug build.
  * Add build-dep on cbindgen and update build-dep versions for cargo/rustc.
  * Drop obsolete kfreebsd-* arches, and drop support for armhf due to mozjs
    FTBFS. (Closes: #1110555)
  * Update Standards version to 4.7.3, no changes needed.

  [ Daniel Richard G. ]
  * d/rules: Improve coverage of "clean" rule, and use the system package
    of cxxtest instead of the bundled one. (Closes: #1043705)

 -- Vincent Cheng <vcheng@debian.org>  Sat, 21 Feb 2026 18:18:00 -0800
