=== debian/tests/control ===
# TODO: figure out why this test segfaults on i386 (repro on porterbox)
Test-Command: xvfb-run /usr/games/0ad -autostart="random/jebel_barkal" -autostart-seed=-1 -autostart-players=2 -autostart-civ=1:athen -autostart-civ=2:brit -autostart-ai=1:petra -autostart-ai=2:petra -autostart-player=-1 -autostart-nonvisual
Depends: xauth, xvfb, @
Architecture: !i386
